Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.Key

    java.lang.Object
      java.lang.Enum<Qt.Key>
          com.trolltech.qt.core.Qt.Key

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.Key>

Enclosing interface:
  Qt

    public static enum Qt.Key

extends java.lang.Enum<Qt.Key>
implements QtEnumerator

The key names used by Qt.

See Also:
  `QKeyEvent::key`

Enum Constant Summary
`Key_0` Internal.
`Key_1` Internal.
`Key_2` Internal.
`Key_3` Internal.
`Key_4` Internal.
`Key_5` Internal.
`Key_6` Internal.
`Key_7` Internal.
`Key_8` Internal.
`Key_9` Internal.
`Key_A` Internal.
`Key_Aacute` Internal.
`Key_Acircumflex` Internal.
`Key_acute` Internal.
`Key_Adiaeresis` Internal.
`Key_AE` Internal.
`Key_Agrave` Internal.
`Key_Alt` Internal.
`Key_AltGr` Internal.
`Key_Ampersand` Internal.
`Key_Apostrophe` Internal.
`Key_Aring` Internal.
`Key_AsciiCircum` Internal.
`Key_AsciiTilde` Internal.
`Key_Asterisk` Internal.
`Key_At` Internal.
`Key_Atilde` Internal.
`Key_B` Internal.
`Key_Back` Internal.
`Key_Backslash` Internal.
`Key_Backspace` Internal.
`Key_Backtab` Internal.
`Key_Bar` Internal.
`Key_BassBoost` Internal.
`Key_BassDown` Internal.
`Key_BassUp` Internal.
`Key_BraceLeft` Internal.
`Key_BraceRight` Internal.
`Key_BracketLeft` Internal.
`Key_BracketRight` Internal.
`Key_brokenbar` Internal.
`Key_C` Internal.
`Key_Call` Internal.
`Key_Cancel` Internal.
`Key_CapsLock` Internal.
`Key_Ccedilla` Internal.
`Key_cedilla` Internal.
`Key_cent` Internal.
`Key_Clear` Internal.
`Key_Codeinput` Internal.
`Key_Colon` Internal.
`Key_Comma` Internal.
`Key_Context1` Internal.
`Key_Context2` Internal.
`Key_Context3` Internal.
`Key_Context4` Internal.
`Key_Control` On Mac OS X, this corresponds to the Command keys.
`Key_copyright` Internal.
`Key_currency` Internal.
`Key_D` Internal.
`Key_Dead_Abovedot` Internal.
`Key_Dead_Abovering` Internal.
`Key_Dead_Acute` Internal.
`Key_Dead_Belowdot` Internal.
`Key_Dead_Breve` Internal.
`Key_Dead_Caron` Internal.
`Key_Dead_Cedilla` Internal.
`Key_Dead_Circumflex` Internal.
`Key_Dead_Diaeresis` Internal.
`Key_Dead_Doubleacute` Internal.
`Key_Dead_Grave` Internal.
`Key_Dead_Hook` Internal.
`Key_Dead_Horn` Internal.
`Key_Dead_Iota` Internal.
`Key_Dead_Macron` Internal.
`Key_Dead_Ogonek` Internal.
`Key_Dead_Semivoiced_Sound` Internal.
`Key_Dead_Tilde` Internal.
`Key_Dead_Voiced_Sound` Internal.
`Key_degree` Internal.
`Key_Delete` Internal.
`Key_diaeresis` Internal.
`Key_Direction_L` Internal.
`Key_Direction_R` Internal.
`Key_division` Internal.
`Key_Dollar` Internal.
`Key_Down` Internal.
`Key_E` Internal.
`Key_Eacute` Internal.
`Key_Ecircumflex` Internal.
`Key_Ediaeresis` Internal.
`Key_Egrave` Internal.
`Key_Eisu_Shift` Internal.
`Key_Eisu_toggle` Internal.
`Key_End` Internal.
`Key_Enter` Internal.
`Key_Equal` Internal.
`Key_Escape` Internal.
`Key_ETH` Internal.
`Key_Exclam` Internal.
`Key_exclamdown` Internal.
`Key_Execute` Internal.
`Key_F` Internal.
`Key_F1` Internal.
`Key_F10` Internal.
`Key_F11` Internal.
`Key_F12` Internal.
`Key_F13` Internal.
`Key_F14` Internal.
`Key_F15` Internal.
`Key_F16` Internal.
`Key_F17` Internal.
`Key_F18` Internal.
`Key_F19` Internal.
`Key_F2` Internal.
`Key_F20` Internal.
`Key_F21` Internal.
`Key_F22` Internal.
`Key_F23` Internal.
`Key_F24` Internal.
`Key_F25` Internal.
`Key_F26` Internal.
`Key_F27` Internal.
`Key_F28` Internal.
`Key_F29` Internal.
`Key_F3` Internal.
`Key_F30` Internal.
`Key_F31` Internal.
`Key_F32` Internal.
`Key_F33` Internal.
`Key_F34` Internal.
`Key_F35` Internal.
`Key_F4` Internal.
`Key_F5` Internal.
`Key_F6` Internal.
`Key_F7` Internal.
`Key_F8` Internal.
`Key_F9` Internal.
`Key_Favorites` Internal.
`Key_Flip` Internal.
`Key_Forward` Internal.
`Key_G` Internal.
`Key_Greater` Internal.
`Key_guillemotleft` Internal.
`Key_guillemotright` Internal.
`Key_H` Internal.
`Key_Hangul` Internal.
`Key_Hangul_Banja` Internal.
`Key_Hangul_End` Internal.
`Key_Hangul_Hanja` Internal.
`Key_Hangul_Jamo` Internal.
`Key_Hangul_Jeonja` Internal.
`Key_Hangul_PostHanja` Internal.
`Key_Hangul_PreHanja` Internal.
`Key_Hangul_Romaja` Internal.
`Key_Hangul_Special` Internal.
`Key_Hangul_Start` Internal.
`Key_Hangup` Internal.
`Key_Hankaku` Internal.
`Key_Help` Internal.
`Key_Henkan` Internal.
`Key_Hiragana` Internal.
`Key_Hiragana_Katakana` Internal.
`Key_Home` Internal.
`Key_HomePage` Internal.
`Key_Hyper_L` Internal.
`Key_Hyper_R` Internal.
`Key_hyphen` Internal.
`Key_I` Internal.
`Key_Iacute` Internal.
`Key_Icircumflex` Internal.
`Key_Idiaeresis` Internal.
`Key_Igrave` Internal.
`Key_Insert` Internal.
`Key_J` Internal.
`Key_K` Internal.
`Key_Kana_Lock` Internal.
`Key_Kana_Shift` Internal.
`Key_Kanji` Internal.
`Key_Katakana` Internal.
`Key_L` Internal.
`Key_Launch0` Internal.
`Key_Launch1` Internal.
`Key_Launch2` Internal.
`Key_Launch3` Internal.
`Key_Launch4` Internal.
`Key_Launch5` Internal.
`Key_Launch6` Internal.
`Key_Launch7` Internal.
`Key_Launch8` Internal.
`Key_Launch9` Internal.
`Key_LaunchA` Internal.
`Key_LaunchB` Internal.
`Key_LaunchC` Internal.
`Key_LaunchD` Internal.
`Key_LaunchE` Internal.
`Key_LaunchF` Internal.
`Key_LaunchMail` Internal.
`Key_LaunchMedia` Internal.
`Key_Left` Internal.
`Key_Less` Internal.
`Key_M` Internal.
`Key_macron` Internal.
`Key_masculine` Internal.
`Key_Massyo` Internal.
`Key_MediaLast` Internal.
`Key_MediaNext` Internal.
`Key_MediaPlay` Internal.
`Key_MediaPrevious` Internal.
`Key_MediaRecord` Internal.
`Key_MediaStop` Internal.
`Key_Menu` Internal.
`Key_Meta` On Mac OS X, this corresponds to the Control keys.
`Key_Minus` Internal.
`Key_Mode_switch` Internal.
`Key_mu` Internal.
`Key_Muhenkan` Internal.
`Key_Multi_key` Internal.
`Key_MultipleCandidate` Internal.
`Key_multiply` Internal.
`Key_N` Internal.
`Key_No` Internal.
`Key_nobreakspace` Internal.
`Key_notsign` Internal.
`Key_Ntilde` Internal.
`Key_NumberSign` Internal.
`Key_NumLock` Internal.
`Key_O` Internal.
`Key_Oacute` Internal.
`Key_Ocircumflex` Internal.
`Key_Odiaeresis` Internal.
`Key_Ograve` Internal.
`Key_onehalf` Internal.
`Key_onequarter` Internal.
`Key_onesuperior` Internal.
`Key_Ooblique` Internal.
`Key_OpenUrl` Internal.
`Key_ordfeminine` Internal.
`Key_Otilde` Internal.
`Key_P` Internal.
`Key_PageDown` Internal.
`Key_PageUp` Internal.
`Key_paragraph` Internal.
`Key_ParenLeft` Internal.
`Key_ParenRight` Internal.
`Key_Pause` Internal.
`Key_Percent` Internal.
`Key_Period` Internal.
`Key_periodcentered` Internal.
`Key_Play` Internal.
`Key_Plus` Internal.
`Key_plusminus` Internal.
`Key_PreviousCandidate` Internal.
`Key_Print` Internal.
`Key_Printer` Internal.
`Key_Q` Internal.
`Key_Question` Internal.
`Key_questiondown` Internal.
`Key_QuoteDbl` Internal.
`Key_QuoteLeft` Internal.
`Key_R` Internal.
`Key_Refresh` Internal.
`Key_registered` Internal.
`Key_Return` Internal.
`Key_Right` Internal.
`Key_Romaji` Internal.
`Key_S` Internal.
`Key_ScrollLock` Internal.
`Key_Search` Internal.
`Key_section` Internal.
`Key_Select` Internal.
`Key_Semicolon` Internal.
`Key_Shift` Internal.
`Key_SingleCandidate` Internal.
`Key_Slash` Internal.
`Key_Sleep` Internal.
`Key_Space` Internal.
`Key_ssharp` Internal.
`Key_Standby` Internal.
`Key_sterling` Internal.
`Key_Stop` Internal.
`Key_Super_L` Internal.
`Key_Super_R` Internal.
`Key_SysReq` Internal.
`Key_T` Internal.
`Key_Tab` Internal.
`Key_THORN` Internal.
`Key_threequarters` Internal.
`Key_threesuperior` Internal.
`Key_Touroku` Internal.
`Key_TrebleDown` Internal.
`Key_TrebleUp` Internal.
`Key_twosuperior` Internal.
`Key_U` Internal.
`Key_Uacute` Internal.
`Key_Ucircumflex` Internal.
`Key_Udiaeresis` Internal.
`Key_Ugrave` Internal.
`Key_Underscore` Internal.
`Key_unknown` Internal.
`Key_Up` Internal.
`Key_V` Internal.
`Key_VolumeDown` Internal.
`Key_VolumeMute` Internal.
`Key_VolumeUp` Internal.
`Key_W` Internal.
`Key_X` Internal.
`Key_Y` Internal.
`Key_Yacute` Internal.
`Key_ydiaeresis` Internal.
`Key_yen` Internal.
`Key_Yes` Internal.
`Key_Z` Internal.
`Key_Zenkaku` Internal.
`Key_Zenkaku_Hankaku` Internal.
`Key_Zoom` Internal.

Method Summary
`static Qt.Key` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.Key` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.Key[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Key_Escape

    public static final Qt.Key Key_Escape

  Internal.

### Key_Tab

    public static final Qt.Key Key_Tab

  Internal.

### Key_Backtab

    public static final Qt.Key Key_Backtab

  Internal.

### Key_Backspace

    public static final Qt.Key Key_Backspace

  Internal.

### Key_Return

    public static final Qt.Key Key_Return

  Internal.

### Key_Enter

    public static final Qt.Key Key_Enter

  Internal.

### Key_Insert

    public static final Qt.Key Key_Insert

  Internal.

### Key_Delete

    public static final Qt.Key Key_Delete

  Internal.

### Key_Pause

    public static final Qt.Key Key_Pause

  Internal.

### Key_Print

    public static final Qt.Key Key_Print

  Internal.

### Key_SysReq

    public static final Qt.Key Key_SysReq

  Internal.

### Key_Clear

    public static final Qt.Key Key_Clear

  Internal.

### Key_Home

    public static final Qt.Key Key_Home

  Internal.

### Key_End

    public static final Qt.Key Key_End

  Internal.

### Key_Left

    public static final Qt.Key Key_Left

  Internal.

### Key_Up

    public static final Qt.Key Key_Up

  Internal.

### Key_Right

    public static final Qt.Key Key_Right

  Internal.

### Key_Down

    public static final Qt.Key Key_Down

  Internal.

### Key_PageUp

    public static final Qt.Key Key_PageUp

  Internal.

### Key_PageDown

    public static final Qt.Key Key_PageDown

  Internal.

### Key_Shift

    public static final Qt.Key Key_Shift

  Internal.

### Key_Control

    public static final Qt.Key Key_Control

  On Mac OS X, this corresponds to the Command keys.

### Key_Meta

    public static final Qt.Key Key_Meta

  On Mac OS X, this corresponds to the Control keys.

### Key_Alt

    public static final Qt.Key Key_Alt

  Internal.

### Key_CapsLock

    public static final Qt.Key Key_CapsLock

  Internal.

### Key_NumLock

    public static final Qt.Key Key_NumLock

  Internal.

### Key_ScrollLock

    public static final Qt.Key Key_ScrollLock

  Internal.

### Key_F1

    public static final Qt.Key Key_F1

  Internal.

### Key_F2

    public static final Qt.Key Key_F2

  Internal.

### Key_F3

    public static final Qt.Key Key_F3

  Internal.

### Key_F4

    public static final Qt.Key Key_F4

  Internal.

### Key_F5

    public static final Qt.Key Key_F5

  Internal.

### Key_F6

    public static final Qt.Key Key_F6

  Internal.

### Key_F7

    public static final Qt.Key Key_F7

  Internal.

### Key_F8

    public static final Qt.Key Key_F8

  Internal.

### Key_F9

    public static final Qt.Key Key_F9

  Internal.

### Key_F10

    public static final Qt.Key Key_F10

  Internal.

### Key_F11

    public static final Qt.Key Key_F11

  Internal.

### Key_F12

    public static final Qt.Key Key_F12

  Internal.

### Key_F13

    public static final Qt.Key Key_F13

  Internal.

### Key_F14

    public static final Qt.Key Key_F14

  Internal.

### Key_F15

    public static final Qt.Key Key_F15

  Internal.

### Key_F16

    public static final Qt.Key Key_F16

  Internal.

### Key_F17

    public static final Qt.Key Key_F17

  Internal.

### Key_F18

    public static final Qt.Key Key_F18

  Internal.

### Key_F19

    public static final Qt.Key Key_F19

  Internal.

### Key_F20

    public static final Qt.Key Key_F20

  Internal.

### Key_F21

    public static final Qt.Key Key_F21

  Internal.

### Key_F22

    public static final Qt.Key Key_F22

  Internal.

### Key_F23

    public static final Qt.Key Key_F23

  Internal.

### Key_F24

    public static final Qt.Key Key_F24

  Internal.

### Key_F25

    public static final Qt.Key Key_F25

  Internal.

### Key_F26

    public static final Qt.Key Key_F26

  Internal.

### Key_F27

    public static final Qt.Key Key_F27

  Internal.

### Key_F28

    public static final Qt.Key Key_F28

  Internal.

### Key_F29

    public static final Qt.Key Key_F29

  Internal.

### Key_F30

    public static final Qt.Key Key_F30

  Internal.

### Key_F31

    public static final Qt.Key Key_F31

  Internal.

### Key_F32

    public static final Qt.Key Key_F32

  Internal.

### Key_F33

    public static final Qt.Key Key_F33

  Internal.

### Key_F34

    public static final Qt.Key Key_F34

  Internal.

### Key_F35

    public static final Qt.Key Key_F35

  Internal.

### Key_Super_L

    public static final Qt.Key Key_Super_L

  Internal.

### Key_Super_R

    public static final Qt.Key Key_Super_R

  Internal.

### Key_Menu

    public static final Qt.Key Key_Menu

  Internal.

### Key_Hyper_L

    public static final Qt.Key Key_Hyper_L

  Internal.

### Key_Hyper_R

    public static final Qt.Key Key_Hyper_R

  Internal.

### Key_Help

    public static final Qt.Key Key_Help

  Internal.

### Key_Direction_L

    public static final Qt.Key Key_Direction_L

  Internal.

### Key_Direction_R

    public static final Qt.Key Key_Direction_R

  Internal.

### Key_Space

    public static final Qt.Key Key_Space

  Internal.

### Key_Exclam

    public static final Qt.Key Key_Exclam

  Internal.

### Key_QuoteDbl

    public static final Qt.Key Key_QuoteDbl

  Internal.

### Key_NumberSign

    public static final Qt.Key Key_NumberSign

  Internal.

### Key_Dollar

    public static final Qt.Key Key_Dollar

  Internal.

### Key_Percent

    public static final Qt.Key Key_Percent

  Internal.

### Key_Ampersand

    public static final Qt.Key Key_Ampersand

  Internal.

### Key_Apostrophe

    public static final Qt.Key Key_Apostrophe

  Internal.

### Key_ParenLeft

    public static final Qt.Key Key_ParenLeft

  Internal.

### Key_ParenRight

    public static final Qt.Key Key_ParenRight

  Internal.

### Key_Asterisk

    public static final Qt.Key Key_Asterisk

  Internal.

### Key_Plus

    public static final Qt.Key Key_Plus

  Internal.

### Key_Comma

    public static final Qt.Key Key_Comma

  Internal.

### Key_Minus

    public static final Qt.Key Key_Minus

  Internal.

### Key_Period

    public static final Qt.Key Key_Period

  Internal.

### Key_Slash

    public static final Qt.Key Key_Slash

  Internal.

### Key_0

    public static final Qt.Key Key_0

  Internal.

### Key_1

    public static final Qt.Key Key_1

  Internal.

### Key_2

    public static final Qt.Key Key_2

  Internal.

### Key_3

    public static final Qt.Key Key_3

  Internal.

### Key_4

    public static final Qt.Key Key_4

  Internal.

### Key_5

    public static final Qt.Key Key_5

  Internal.

### Key_6

    public static final Qt.Key Key_6

  Internal.

### Key_7

    public static final Qt.Key Key_7

  Internal.

### Key_8

    public static final Qt.Key Key_8

  Internal.

### Key_9

    public static final Qt.Key Key_9

  Internal.

### Key_Colon

    public static final Qt.Key Key_Colon

  Internal.

### Key_Semicolon

    public static final Qt.Key Key_Semicolon

  Internal.

### Key_Less

    public static final Qt.Key Key_Less

  Internal.

### Key_Equal

    public static final Qt.Key Key_Equal

  Internal.

### Key_Greater

    public static final Qt.Key Key_Greater

  Internal.

### Key_Question

    public static final Qt.Key Key_Question

  Internal.

### Key_At

    public static final Qt.Key Key_At

  Internal.

### Key_A

    public static final Qt.Key Key_A

  Internal.

### Key_B

    public static final Qt.Key Key_B

  Internal.

### Key_C

    public static final Qt.Key Key_C

  Internal.

### Key_D

    public static final Qt.Key Key_D

  Internal.

### Key_E

    public static final Qt.Key Key_E

  Internal.

### Key_F

    public static final Qt.Key Key_F

  Internal.

### Key_G

    public static final Qt.Key Key_G

  Internal.

### Key_H

    public static final Qt.Key Key_H

  Internal.

### Key_I

    public static final Qt.Key Key_I

  Internal.

### Key_J

    public static final Qt.Key Key_J

  Internal.

### Key_K

    public static final Qt.Key Key_K

  Internal.

### Key_L

    public static final Qt.Key Key_L

  Internal.

### Key_M

    public static final Qt.Key Key_M

  Internal.

### Key_N

    public static final Qt.Key Key_N

  Internal.

### Key_O

    public static final Qt.Key Key_O

  Internal.

### Key_P

    public static final Qt.Key Key_P

  Internal.

### Key_Q

    public static final Qt.Key Key_Q

  Internal.

### Key_R

    public static final Qt.Key Key_R

  Internal.

### Key_S

    public static final Qt.Key Key_S

  Internal.

### Key_T

    public static final Qt.Key Key_T

  Internal.

### Key_U

    public static final Qt.Key Key_U

  Internal.

### Key_V

    public static final Qt.Key Key_V

  Internal.

### Key_W

    public static final Qt.Key Key_W

  Internal.

### Key_X

    public static final Qt.Key Key_X

  Internal.

### Key_Y

    public static final Qt.Key Key_Y

  Internal.

### Key_Z

    public static final Qt.Key Key_Z

  Internal.

### Key_BracketLeft

    public static final Qt.Key Key_BracketLeft

  Internal.

### Key_Backslash

    public static final Qt.Key Key_Backslash

  Internal.

### Key_BracketRight

    public static final Qt.Key Key_BracketRight

  Internal.

### Key_AsciiCircum

    public static final Qt.Key Key_AsciiCircum

  Internal.

### Key_Underscore

    public static final Qt.Key Key_Underscore

  Internal.

### Key_QuoteLeft

    public static final Qt.Key Key_QuoteLeft

  Internal.

### Key_BraceLeft

    public static final Qt.Key Key_BraceLeft

  Internal.

### Key_Bar

    public static final Qt.Key Key_Bar

  Internal.

### Key_BraceRight

    public static final Qt.Key Key_BraceRight

  Internal.

### Key_AsciiTilde

    public static final Qt.Key Key_AsciiTilde

  Internal.

### Key_nobreakspace

    public static final Qt.Key Key_nobreakspace

  Internal.

### Key_exclamdown

    public static final Qt.Key Key_exclamdown

  Internal.

### Key_cent

    public static final Qt.Key Key_cent

  Internal.

### Key_sterling

    public static final Qt.Key Key_sterling

  Internal.

### Key_currency

    public static final Qt.Key Key_currency

  Internal.

### Key_yen

    public static final Qt.Key Key_yen

  Internal.

### Key_brokenbar

    public static final Qt.Key Key_brokenbar

  Internal.

### Key_section

    public static final Qt.Key Key_section

  Internal.

### Key_diaeresis

    public static final Qt.Key Key_diaeresis

  Internal.

### Key_copyright

    public static final Qt.Key Key_copyright

  Internal.

### Key_ordfeminine

    public static final Qt.Key Key_ordfeminine

  Internal.

### Key_guillemotleft

    public static final Qt.Key Key_guillemotleft

  Internal.

### Key_notsign

    public static final Qt.Key Key_notsign

  Internal.

### Key_hyphen

    public static final Qt.Key Key_hyphen

  Internal.

### Key_registered

    public static final Qt.Key Key_registered

  Internal.

### Key_macron

    public static final Qt.Key Key_macron

  Internal.

### Key_degree

    public static final Qt.Key Key_degree

  Internal.

### Key_plusminus

    public static final Qt.Key Key_plusminus

  Internal.

### Key_twosuperior

    public static final Qt.Key Key_twosuperior

  Internal.

### Key_threesuperior

    public static final Qt.Key Key_threesuperior

  Internal.

### Key_acute

    public static final Qt.Key Key_acute

  Internal.

### Key_mu

    public static final Qt.Key Key_mu

  Internal.

### Key_paragraph

    public static final Qt.Key Key_paragraph

  Internal.

### Key_periodcentered

    public static final Qt.Key Key_periodcentered

  Internal.

### Key_cedilla

    public static final Qt.Key Key_cedilla

  Internal.

### Key_onesuperior

    public static final Qt.Key Key_onesuperior

  Internal.

### Key_masculine

    public static final Qt.Key Key_masculine

  Internal.

### Key_guillemotright

    public static final Qt.Key Key_guillemotright

  Internal.

### Key_onequarter

    public static final Qt.Key Key_onequarter

  Internal.

### Key_onehalf

    public static final Qt.Key Key_onehalf

  Internal.

### Key_threequarters

    public static final Qt.Key Key_threequarters

  Internal.

### Key_questiondown

    public static final Qt.Key Key_questiondown

  Internal.

### Key_Agrave

    public static final Qt.Key Key_Agrave

  Internal.

### Key_Aacute

    public static final Qt.Key Key_Aacute

  Internal.

### Key_Acircumflex

    public static final Qt.Key Key_Acircumflex

  Internal.

### Key_Atilde

    public static final Qt.Key Key_Atilde

  Internal.

### Key_Adiaeresis

    public static final Qt.Key Key_Adiaeresis

  Internal.

### Key_Aring

    public static final Qt.Key Key_Aring

  Internal.

### Key_AE

    public static final Qt.Key Key_AE

  Internal.

### Key_Ccedilla

    public static final Qt.Key Key_Ccedilla

  Internal.

### Key_Egrave

    public static final Qt.Key Key_Egrave

  Internal.

### Key_Eacute

    public static final Qt.Key Key_Eacute

  Internal.

### Key_Ecircumflex

    public static final Qt.Key Key_Ecircumflex

  Internal.

### Key_Ediaeresis

    public static final Qt.Key Key_Ediaeresis

  Internal.

### Key_Igrave

    public static final Qt.Key Key_Igrave

  Internal.

### Key_Iacute

    public static final Qt.Key Key_Iacute

  Internal.

### Key_Icircumflex

    public static final Qt.Key Key_Icircumflex

  Internal.

### Key_Idiaeresis

    public static final Qt.Key Key_Idiaeresis

  Internal.

### Key_ETH

    public static final Qt.Key Key_ETH

  Internal.

### Key_Ntilde

    public static final Qt.Key Key_Ntilde

  Internal.

### Key_Ograve

    public static final Qt.Key Key_Ograve

  Internal.

### Key_Oacute

    public static final Qt.Key Key_Oacute

  Internal.

### Key_Ocircumflex

    public static final Qt.Key Key_Ocircumflex

  Internal.

### Key_Otilde

    public static final Qt.Key Key_Otilde

  Internal.

### Key_Odiaeresis

    public static final Qt.Key Key_Odiaeresis

  Internal.

### Key_multiply

    public static final Qt.Key Key_multiply

  Internal.

### Key_Ooblique

    public static final Qt.Key Key_Ooblique

  Internal.

### Key_Ugrave

    public static final Qt.Key Key_Ugrave

  Internal.

### Key_Uacute

    public static final Qt.Key Key_Uacute

  Internal.

### Key_Ucircumflex

    public static final Qt.Key Key_Ucircumflex

  Internal.

### Key_Udiaeresis

    public static final Qt.Key Key_Udiaeresis

  Internal.

### Key_Yacute

    public static final Qt.Key Key_Yacute

  Internal.

### Key_THORN

    public static final Qt.Key Key_THORN

  Internal.

### Key_ssharp

    public static final Qt.Key Key_ssharp

  Internal.

### Key_division

    public static final Qt.Key Key_division

  Internal.

### Key_ydiaeresis

    public static final Qt.Key Key_ydiaeresis

  Internal.

### Key_AltGr

    public static final Qt.Key Key_AltGr

  Internal.

### Key_Multi_key

    public static final Qt.Key Key_Multi_key

  Internal.

### Key_Codeinput

    public static final Qt.Key Key_Codeinput

  Internal.

### Key_SingleCandidate

    public static final Qt.Key Key_SingleCandidate

  Internal.

### Key_MultipleCandidate

    public static final Qt.Key Key_MultipleCandidate

  Internal.

### Key_PreviousCandidate

    public static final Qt.Key Key_PreviousCandidate

  Internal.

### Key_Mode_switch

    public static final Qt.Key Key_Mode_switch

  Internal.

### Key_Kanji

    public static final Qt.Key Key_Kanji

  Internal.

### Key_Muhenkan

    public static final Qt.Key Key_Muhenkan

  Internal.

### Key_Henkan

    public static final Qt.Key Key_Henkan

  Internal.

### Key_Romaji

    public static final Qt.Key Key_Romaji

  Internal.

### Key_Hiragana

    public static final Qt.Key Key_Hiragana

  Internal.

### Key_Katakana

    public static final Qt.Key Key_Katakana

  Internal.

### Key_Hiragana_Katakana

    public static final Qt.Key Key_Hiragana_Katakana

  Internal.

### Key_Zenkaku

    public static final Qt.Key Key_Zenkaku

  Internal.

### Key_Hankaku

    public static final Qt.Key Key_Hankaku

  Internal.

### Key_Zenkaku_Hankaku

    public static final Qt.Key Key_Zenkaku_Hankaku

  Internal.

### Key_Touroku

    public static final Qt.Key Key_Touroku

  Internal.

### Key_Massyo

    public static final Qt.Key Key_Massyo

  Internal.

### Key_Kana_Lock

    public static final Qt.Key Key_Kana_Lock

  Internal.

### Key_Kana_Shift

    public static final Qt.Key Key_Kana_Shift

  Internal.

### Key_Eisu_Shift

    public static final Qt.Key Key_Eisu_Shift

  Internal.

### Key_Eisu_toggle

    public static final Qt.Key Key_Eisu_toggle

  Internal.

### Key_Hangul

    public static final Qt.Key Key_Hangul

  Internal.

### Key_Hangul_Start

    public static final Qt.Key Key_Hangul_Start

  Internal.

### Key_Hangul_End

    public static final Qt.Key Key_Hangul_End

  Internal.

### Key_Hangul_Hanja

    public static final Qt.Key Key_Hangul_Hanja

  Internal.

### Key_Hangul_Jamo

    public static final Qt.Key Key_Hangul_Jamo

  Internal.

### Key_Hangul_Romaja

    public static final Qt.Key Key_Hangul_Romaja

  Internal.

### Key_Hangul_Jeonja

    public static final Qt.Key Key_Hangul_Jeonja

  Internal.

### Key_Hangul_Banja

    public static final Qt.Key Key_Hangul_Banja

  Internal.

### Key_Hangul_PreHanja

    public static final Qt.Key Key_Hangul_PreHanja

  Internal.

### Key_Hangul_PostHanja

    public static final Qt.Key Key_Hangul_PostHanja

  Internal.

### Key_Hangul_Special

    public static final Qt.Key Key_Hangul_Special

  Internal.

### Key_Dead_Grave

    public static final Qt.Key Key_Dead_Grave

  Internal.

### Key_Dead_Acute

    public static final Qt.Key Key_Dead_Acute

  Internal.

### Key_Dead_Circumflex

    public static final Qt.Key Key_Dead_Circumflex

  Internal.

### Key_Dead_Tilde

    public static final Qt.Key Key_Dead_Tilde

  Internal.

### Key_Dead_Macron

    public static final Qt.Key Key_Dead_Macron

  Internal.

### Key_Dead_Breve

    public static final Qt.Key Key_Dead_Breve

  Internal.

### Key_Dead_Abovedot

    public static final Qt.Key Key_Dead_Abovedot

  Internal.

### Key_Dead_Diaeresis

    public static final Qt.Key Key_Dead_Diaeresis

  Internal.

### Key_Dead_Abovering

    public static final Qt.Key Key_Dead_Abovering

  Internal.

### Key_Dead_Doubleacute

    public static final Qt.Key Key_Dead_Doubleacute

  Internal.

### Key_Dead_Caron

    public static final Qt.Key Key_Dead_Caron

  Internal.

### Key_Dead_Cedilla

    public static final Qt.Key Key_Dead_Cedilla

  Internal.

### Key_Dead_Ogonek

    public static final Qt.Key Key_Dead_Ogonek

  Internal.

### Key_Dead_Iota

    public static final Qt.Key Key_Dead_Iota

  Internal.

### Key_Dead_Voiced_Sound

    public static final Qt.Key Key_Dead_Voiced_Sound

  Internal.

### Key_Dead_Semivoiced_Sound

    public static final Qt.Key Key_Dead_Semivoiced_Sound

  Internal.

### Key_Dead_Belowdot

    public static final Qt.Key Key_Dead_Belowdot

  Internal.

### Key_Dead_Hook

    public static final Qt.Key Key_Dead_Hook

  Internal.

### Key_Dead_Horn

    public static final Qt.Key Key_Dead_Horn

  Internal.

### Key_Back

    public static final Qt.Key Key_Back

  Internal.

### Key_Forward

    public static final Qt.Key Key_Forward

  Internal.

### Key_Stop

    public static final Qt.Key Key_Stop

  Internal.

### Key_Refresh

    public static final Qt.Key Key_Refresh

  Internal.

### Key_VolumeDown

    public static final Qt.Key Key_VolumeDown

  Internal.

### Key_VolumeMute

    public static final Qt.Key Key_VolumeMute

  Internal.

### Key_VolumeUp

    public static final Qt.Key Key_VolumeUp

  Internal.

### Key_BassBoost

    public static final Qt.Key Key_BassBoost

  Internal.

### Key_BassUp

    public static final Qt.Key Key_BassUp

  Internal.

### Key_BassDown

    public static final Qt.Key Key_BassDown

  Internal.

### Key_TrebleUp

    public static final Qt.Key Key_TrebleUp

  Internal.

### Key_TrebleDown

    public static final Qt.Key Key_TrebleDown

  Internal.

### Key_MediaPlay

    public static final Qt.Key Key_MediaPlay

  Internal.

### Key_MediaStop

    public static final Qt.Key Key_MediaStop

  Internal.

### Key_MediaPrevious

    public static final Qt.Key Key_MediaPrevious

  Internal.

### Key_MediaNext

    public static final Qt.Key Key_MediaNext

  Internal.

### Key_MediaRecord

    public static final Qt.Key Key_MediaRecord

  Internal.

### Key_HomePage

    public static final Qt.Key Key_HomePage

  Internal.

### Key_Favorites

    public static final Qt.Key Key_Favorites

  Internal.

### Key_Search

    public static final Qt.Key Key_Search

  Internal.

### Key_Standby

    public static final Qt.Key Key_Standby

  Internal.

### Key_OpenUrl

    public static final Qt.Key Key_OpenUrl

  Internal.

### Key_LaunchMail

    public static final Qt.Key Key_LaunchMail

  Internal.

### Key_LaunchMedia

    public static final Qt.Key Key_LaunchMedia

  Internal.

### Key_Launch0

    public static final Qt.Key Key_Launch0

  Internal.

### Key_Launch1

    public static final Qt.Key Key_Launch1

  Internal.

### Key_Launch2

    public static final Qt.Key Key_Launch2

  Internal.

### Key_Launch3

    public static final Qt.Key Key_Launch3

  Internal.

### Key_Launch4

    public static final Qt.Key Key_Launch4

  Internal.

### Key_Launch5

    public static final Qt.Key Key_Launch5

  Internal.

### Key_Launch6

    public static final Qt.Key Key_Launch6

  Internal.

### Key_Launch7

    public static final Qt.Key Key_Launch7

  Internal.

### Key_Launch8

    public static final Qt.Key Key_Launch8

  Internal.

### Key_Launch9

    public static final Qt.Key Key_Launch9

  Internal.

### Key_LaunchA

    public static final Qt.Key Key_LaunchA

  Internal.

### Key_LaunchB

    public static final Qt.Key Key_LaunchB

  Internal.

### Key_LaunchC

    public static final Qt.Key Key_LaunchC

  Internal.

### Key_LaunchD

    public static final Qt.Key Key_LaunchD

  Internal.

### Key_LaunchE

    public static final Qt.Key Key_LaunchE

  Internal.

### Key_LaunchF

    public static final Qt.Key Key_LaunchF

  Internal.

### Key_MediaLast

    public static final Qt.Key Key_MediaLast

  Internal.

### Key_Select

    public static final Qt.Key Key_Select

  Internal.

### Key_Yes

    public static final Qt.Key Key_Yes

  Internal.

### Key_No

    public static final Qt.Key Key_No

  Internal.

### Key_Cancel

    public static final Qt.Key Key_Cancel

  Internal.

### Key_Printer

    public static final Qt.Key Key_Printer

  Internal.

### Key_Execute

    public static final Qt.Key Key_Execute

  Internal.

### Key_Sleep

    public static final Qt.Key Key_Sleep

  Internal.

### Key_Play

    public static final Qt.Key Key_Play

  Internal.

### Key_Zoom

    public static final Qt.Key Key_Zoom

  Internal.

### Key_Context1

    public static final Qt.Key Key_Context1

  Internal.

### Key_Context2

    public static final Qt.Key Key_Context2

  Internal.

### Key_Context3

    public static final Qt.Key Key_Context3

  Internal.

### Key_Context4

    public static final Qt.Key Key_Context4

  Internal.

### Key_Call

    public static final Qt.Key Key_Call

  Internal.

### Key_Hangup

    public static final Qt.Key Key_Hangup

  Internal.

### Key_Flip

    public static final Qt.Key Key_Flip

  Internal.

### Key_unknown

    public static final Qt.Key Key_unknown

  Internal.

Method Detail

### values

    public static final Qt.Key[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.Key c : Qt.Key.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.Key valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.Key resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD